Name:           perl-Class-XSAccessor
Version:        1.11
Release:        2%{?dist}
Summary:        Generate fast XS accessors without run-time compilation
License:        GPL+ or Artistic
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/Class-XSAccessor/
Source0:        http://www.cpan.org/authors/id/S/SM/SMUELLER/Class-XSAccessor-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:  perl(AutoXS::Header)
BuildRequires:  perl(ExtUtils::MakeMaker)
BuildRequires:  perl(Test::More)
Obsoletes:      perl(Class::XSAccessor::Array)
# automagically provided
Requires:       perl(AutoXS::Header)
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%filter_from_requires /perl(Class::XSAccessor::Heavy)/d
%filter_setup

%description
Class::XSAccessor implements fast read, write and read/write accessors in
XS. Additionally, it can provide predicates such as has_foo() for testing
whether the attribute foo is defined in the object. It only works with
objects that are implemented as ordinary hashes. Class::XSAccessor::Array
implements the same interface for objects that use arrays for their
internal representation.

%prep
%setup -q -n Class-XSAccessor-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor OPTIMIZE="$RPM_OPT_FLAGS"
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT

find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} \;
find $RPM_BUILD_ROOT -type f -name '*.bs' -size 0 -exec rm -f {} \;
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null \;

%{_fixperms} $RPM_BUILD_ROOT/*

%check
make test

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc Changes README
%{perl_vendorarch}/auto/*
%{perl_vendorarch}/Class*
%{_mandir}/man3/Class::*

%changelog
* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.11-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Thu Dec  9 2010 Petr Sabata <psabata@redhat.com> - 1.11-1
- New upstream release, v1.11

* Fri Dec  3 2010 Petr Sabata <psabata@redhat.com> - 1.10-1
- New upstream release, v1.10

* Mon Nov  8 2010 Petr Sabata <psabata@redhat.com> - 1.09-1
- New upstream release, v1.09

* Wed Sep 29 2010 jkeating - 1.08-3
- Rebuilt for gcc bug 634757

* Mon Sep 20 2010 Petr Pisar <ppisar@redhat.com> - 1.08-2
- Do not require private perl(Class::XSAccessor::Heavy)
- Correct Summary spelling
- Enable tests

* Mon Sep 20 2010 Petr Sabata <psabata@redhat.com> - 1.08-1
- New upstream release, v1.08

* Thu Sep  2 2010 Petr Sabata <psabata@redhat.com> - 1.07-1
- New upstream release, v1.07

* Fri Apr 30 2010 Marcela Maslanova <mmaslano@redhat.com> - 1.05-5
- Mass rebuild with perl-5.12.0

* Tue Dec 22 2009 Marcela Mašláňová <mmaslano@redhat.com> - 1.05-4
- rebuild with obsoletes in spec

* Tue Dec 22 2009 Marcela Mašláňová <mmaslano@redhat.com> - 1.05-3
- Class::XSAccessor::Array became a part of this package - fixes conflict of man

* Fri Dec  4 2009 Stepan Kasal <skasal@redhat.com> - 1.05-2
- rebuild against perl 5.10.1

* Sat Jul 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.03-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Fri Jun 19 2009 Stepan Kasal <skasal@redhat.com> - 1.03-2
- rebuild with AutoXS::Header 1.02

* Mon Jun  1 2009 Marcela Mašláňová <mmaslano@redhat.com> - 1.03-1
- update

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.14-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Mon Dec 15 2008 Marcela Mašláňová <mmaslano@redhat.com> 0.14-1
- update to 0.14

* Fri Dec 05 2008 Marcela Mašláňová <mmaslano@redhat.com> 0.11-1
- Specfile autogenerated by cpanspec 1.77.
